Summary: IRman library
Name: libirman
Version: 0.4.4
Release: 1%{?dist}
Packager: Jan ONDREJ (SAL) <ondrejj@salstar.sk>
Source: http://lirc.sourceforge.net/software/snapshots/libirman-0.4.3.tar.gz
Patch1: %{name}-gcc.patch
URL: http://lirc.sourceforge.net/software/snapshots/
Buildroot: /tmp/%{name}-root
License: GPL
Group: Applications/Multimedia

%description
IRman library for lirc.

%prep
%setup -n %{name}-0.4.3
%patch1 -p1

%build
./configure \
  --prefix=/usr \
  --mandir=/usr/share/man \
  --sysconfdir=/etc
make

%install
if [ -d $RPM_BUILD_ROOT ]; then
  rm -rf $RPM_BUILD_ROOT/
fi
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib}
make install prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT/usr/share/man \
  sysconfdir=$RPM_BUILD_ROOT/etc

%clean
if [ -d $RPM_BUILD_ROOT ]; then
  rm -rf $RPM_BUILD_ROOT/
fi

%files
%defattr(-,root,root)
%doc COPYING* INSTALL README TODO TECHNICAL NEWS
%config /etc/irman.conf
/usr/bin/*
/usr/include/irman.h
/usr/lib/*.a
